## python-vdf 3.4

=== Makefile ===
# Makefile for VDF module

define HELPBODY
Available commands:

	make help       - this thing.
	make init       - install python dependancies
	make test       - run tests and coverage
	make pylint     - code analysis
	make build      - pylint + test

endef

export HELPBODY
help:
	@echo "$$HELPBODY"

init:
	pip install -r dev_requirements.txt

COVOPTS = --cov-config .coveragerc --cov=vdf

ifeq ($(NOCOV), 1)
	COVOPTS =
endif

test:
	rm -f .coverage vdf/*.pyc tests/*.pyc
	PYTHONHASHSEED=0 pytest --tb=short $(COVOPTS) tests

pylint:
	pylint -r n -f colorized vdf || true

build: pylint test

clean:
	rm -rf dist vdf.egg-info vdf/*.pyc

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel --universal

register:
	python setup.py register -r pypi

upload: dist register
	twine upload -r pypi dist/*

=== debian/changelog ===
python-vdf (3.4-5) unstable; urgency=medium

  * Team Upload
  * Use canonical address for Games Team

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:37:29 +0100

python-vdf (3.4-4) unstable; urgency=medium

  * d/p/Treat-UTF-16-strings-in-binary-VDF-as-little-endian.patch:
    Add proposed patch to fix autopkgtest failure (and FTBFS) on s390x

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Dec 2023 13:15:50 +0000

python-vdf (3.4-3) unstable; urgency=medium

  * d/tests: Really run unit tests (Closes: #1056512)
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Dec 2023 21:04:05 +0000

python-vdf (3.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 10:40:01 +0100

python-vdf (3.4-1) experimental; urgency=medium

  * New upstream version 3.4
  * Drop patches applied upstream

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 23 May 2021 00:02:05 +0200

python-vdf (3.3-2) experimental; urgency=medium

  [ Stephan Lachnit ]
  * Fix VCS URLs

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Apr 2021 14:13:32 +0100

python-vdf (3.3-1) experimental; urgency=medium

  * Initial packaging (Closes: #977374)
  * Upload to experimental due to Debian 11 freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Feb 2021 12:17:05 +0000

=== debian/control ===
Source: python-vdf
Section: python
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
 Stephan Lachnit <stephanlachnit@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ValvePython/vdf
Vcs-Git: https://salsa.debian.org/games-team/python-vdf.git
Vcs-Browser: https://salsa.debian.org/games-team/python-vdf
Testsuite: autopkgtest-pkg-python

Package: python3-vdf
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python module for VDF serialization and deserialization
 VDF is Valve's key/value text file format, used in the Source engine
 and Steam.
 .
 This package provides VDF serialization and deserialization, with an
 API similar to the json module in the Python standard library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdf-$1\.tar\.gz/ \
  https://github.com/ValvePython/vdf/tags .*/v?(\d\S+)\.tar\.gz

## python-vdf 4.0

=== debian/changelog ===
python-vdf (4.0-2) unstable; urgency=medium

  * Team upload
  * Apply Multi-Arch: hint
  * Drop "Multi-Arch: foreign": it is now the default
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Nov 2025 16:18:32 +0100

python-vdf (4.0-1) unstable; urgency=medium

  * Team upload
  * Switch to maintained fork (Closes: #1121228)

 -- Bastian Germann <bage@debian.org>  Sun, 23 Nov 2025 12:26:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  python3-all,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ValvePython/vdf
 Vcs-Git: https://salsa.debian.org/games-team/python-vdf.git
 Vcs-Browser: https://salsa.debian.org/games-team/python-vdf
@@ -20,6 +19,7 @@
 
 Package: python3-vdf
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
